## python-installer 0.4.0%2Bdfsg1

=== docs/requirements.txt ===
sphinx
furo
myst-parser

=== debian/changelog ===
python-installer (0.4.0+dfsg1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Explicitly Build-Depend on python3-tomli, as flit doesn't Depend on it,
    yet.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:32:36 -0400

python-installer (0.4.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Dec 2021 14:52:45 -0400

python-installer (0.4.0+dfsg1-1) unstable; urgency=medium

  * Initial release.
    - build only the python3-installer module package at this stage; a
      separate package for the documentation will be added later when all the
      required build-dependencies are available in Debian.

 -- Stuart Prescott <stuart@debian.org>  Sat, 13 Nov 2021 17:44:44 +1100

=== debian/control ===
Source: python-installer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
 Stefano Rivera <stefanor@debian.org>,
Homepage: https://github.com/pradyunsg/installer/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-installer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-installer/
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>> 5.20211016~),
 dh-sequence-python3,
# dh-sequence-sphinxdoc <!nodoc>,
 flit,
 python3-all,
 python3-tomli,
 python3-mock <!nocheck>,
# python3-myst-parser <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
# python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: python3-installer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-installer-doc,
Description: Python library for unpacking and installing wheels
 "installer" is a low-level library for installing a Python package from a
 wheel distribution; the wheel is the basic unit of Python module
 distribution to end users. It provides basic functionality and abstractions
 for handling wheels and installing packages from wheels, including:
 .
  * Logic for "unpacking" a wheel (i.e. installation).
  * Abstractions for various parts of the unpacking process.
  * Extensible simple implementations of the abstractions.
  * Platform-independent Python script wrapper generation.

#Package: python-installer-doc
#Architecture: all
#Section: doc
#Depends:
# ${sphinxdoc:Depends},
# ${misc:Depends},
#Description: Python library for unpacking and installing wheels (documentation)
# "installer" is a low-level library for installing a Python package from a
# wheel distribution; the wheel is the basic unit of Python module
# distribution to end users. It provides basic functionality and abstractions
# for handling wheels and installing packages from wheels, including:
# .
#  * Logic for "unpacking" a wheel (i.e. installation).
#  * Abstractions for various parts of the unpacking process.
#  * Extensible simple implementations of the abstractions.
#  * Platform-independent Python script wrapper generation.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export PYBUILD_NAME = installer

export PYBUILD_TEST_ARGS = -rsx -v

%:
	dh $@ --buildsystem pybuild

# once myst-parser is in Debian, this builds the docs
# execute_after_dh_auto_build:
# 	PYTHONPATH=$(CURDIR)/src/ \
# 	  http_proxy=http://127.0.0.1:9 \
# 	  https_proxy=https://127.0.0.1:9 \
# 	  python3 -m sphinx -N -bhtml docs/ build/html

## python-installer 0.4.0+dfsg1

=== tests/requirements.txt ===
pytest
pytest-cov
pytest-xdist
mock

=== debian/changelog ===
python-installer (0.4.0+dfsg1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 16:21:15 -0700

=== debian/control ===
Source: python-installer
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>,
           Stefano Rivera <stefanor@debian.org>
Homepage: https://github.com/pradyunsg/installer/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-installer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-installer/
Build-Depends: debhelper-compat (= 13),
               dh-python (>> 5.20211016~),
               dh-sequence-python3,
               flit,
               python3-all,
               python3-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-tomli
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: python3-installer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-installer-doc
Description: Python library for unpacking and installing wheels
 "installer" is a low-level library for installing a Python package from a
 wheel distribution; the wheel is the basic unit of Python module
 distribution to end users. It provides basic functionality and abstractions
 for handling wheels and installing packages from wheels, including:
 .
  * Logic for "unpacking" a wheel (i.e. installation).
  * Abstractions for various parts of the unpacking process.
  * Extensible simple implementations of the abstractions.
  * Platform-independent Python script wrapper generation.

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-installer, python3-mock, python3-pytest

## python-installer 0.5.0+dfsg1

=== debian/changelog ===
python-installer (0.5.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 19 Feb 2022 07:40:09 -0400

python-installer (0.5.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Enable docs build now that python3-myst-parser is available.
    - Upload to experimental for the new binary package review.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 18 Feb 2022 12:10:54 -0400

=== debian/control ===
Source: python-installer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
 Stefano Rivera <stefanor@debian.org>,
Homepage: https://github.com/pradyunsg/installer/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-installer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-installer/
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>> 5.20211016~),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 flit,
 python3-all,
 python3-mock <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-argparse <!nodoc>,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: python3-installer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-installer-doc,
Description: Python library for unpacking and installing wheels
 "installer" is a low-level library for installing a Python package from a
 wheel distribution; the wheel is the basic unit of Python module
 distribution to end users. It provides basic functionality and abstractions
 for handling wheels and installing packages from wheels, including:
 .
  * Logic for "unpacking" a wheel (i.e. installation).
  * Abstractions for various parts of the unpacking process.
  * Extensible simple implementations of the abstractions.
  * Platform-independent Python script wrapper generation.

Package: python-installer-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Python library for unpacking and installing wheels (documentation)
 "installer" is a low-level library for installing a Python package from a
 wheel distribution; the wheel is the basic unit of Python module
 distribution to end users. It provides basic functionality and abstractions
 for handling wheels and installing packages from wheels, including:
 .
  * Logic for "unpacking" a wheel (i.e. installation).
  * Abstractions for various parts of the unpacking process.
  * Extensible simple implementations of the abstractions.
  * Platform-independent Python script wrapper generation.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export PYBUILD_NAME = installer

export PYBUILD_TEST_ARGS = -rsx -v

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/src/ \
	  http_proxy=http://127.0.0.1:9 \
	  https_proxy=https://127.0.0.1:9 \
	  python3 -m sphinx -N -bhtml docs/ build/html

## python-installer 0.5.1+dfsg1

=== debian/changelog ===
python-installer (0.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Mar 2022 10:39:14 -0400

## python-installer 0.6.0+dfsg1

=== debian/changelog ===
python-installer (0.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Update search-wheels-for-dist-info patch to the current state of the PR.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Dec 2022 17:00:20 -0400

python-installer (0.5.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * d/control: Building using the pyproject pybuild plugin.
  * d/tests: run tests with all supported python versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 12:48:46 -0500

python-installer (0.5.1+dfsg1-2) unstable; urgency=medium

  * Patch: Search wheels for .dist-info directories, rather than expecting
    them to match the wheel name. (Closes: #1008606)
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Fix the nodoc build.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Oct 2022 16:17:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Stuart Prescott <stuart@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
-Homepage: https://github.com/pradyunsg/installer/
+Homepage: https://github.com/pypa/installer/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-installer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-installer/
 Build-Depends:
@@ -14,6 +14,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  flit,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-mock <!nocheck>,
  python3-myst-parser <!nodoc>,
@@ -21,7 +22,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-argparse <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: python3-installer
@@ -48,6 +49,7 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Python library for unpacking and installing wheels (documentation)
  "installer" is a low-level library for installing a Python package from a
  wheel distribution; the wheel is the basic unit of Python module

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-installer,
 python3-mock,
 python3-pytest

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-installer-$1\.tar\.gz/,dversionmangle=s/.dfsg\d//,repacksuffix=+dfsg1  \
  https://github.com/pypa/installer/tags .*/v?(\d\S+)\.tar\.gz

## python-installer 0.7.0%2Bdfsg1

=== debian/changelog ===
python-installer (0.7.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Jun 2023 17:36:07 -0400

python-installer (0.7.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patch, superseded upstream.
  * Bump copyright years (and correct my name).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Differentiate the python-installer-doc long description.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Mar 2023 21:01:27 -0400

## python-installer 0.7.0+dfsg1

=== debian/changelog ===
python-installer (0.7.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * remove extraneous dep. on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Mar 2024 10:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,12 @@
  flit,
  pybuild-plugin-pyproject,
  python3-all,
- python3-mock <!nocheck>,
  python3-myst-parser <!nodoc>,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-argparse <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: python3-installer
@@ -60,3 +59,5 @@
   * Abstractions for various parts of the unpacking process.
   * Extensible simple implementations of the abstractions.
   * Platform-independent Python script wrapper generation.
+ .
+ This package contains the Documentation for the python3-installer library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 	dh $@ --buildsystem pybuild
 
 execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR)/src/ \
 	  http_proxy=http://127.0.0.1:9 \
 	  https_proxy=https://127.0.0.1:9 \
 	  python3 -m sphinx -N -bhtml docs/ build/html
+endif

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-installer,
 python3-pytest
